summaryrefslogtreecommitdiff
path: root/tests/chgrp/deref
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chgrp/deref')
-rwxr-xr-xtests/chgrp/deref6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/chgrp/deref b/tests/chgrp/deref
index afe7b465a..2b947ae14 100755
--- a/tests/chgrp/deref
+++ b/tests/chgrp/deref
@@ -29,7 +29,7 @@ g2=$2
touch f
ln -s f symlink
-chgrp $g2 symlink 2> /dev/null
+chgrp -h $g2 symlink 2> /dev/null
set _ `ls -l symlink`
g=$5
test "$g" = $g2 || {
@@ -45,12 +45,12 @@ fail=0
chgrp $g1 f
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
-chgrp $g2 symlink || fail=1
+chgrp -h $g2 symlink || fail=1
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1
# This should not change the group of f.
-chgrp $g2 symlink || fail=1
+chgrp -h $g2 symlink || fail=1
set _ `ls -l f`; g=$5; test "$g" = $g1 || fail=1
set _ `ls -l symlink`; g=$5; test "$g" = $g2 || fail=1